﻿using DynamicData;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TeacheresAndCourses.ViewModels;

namespace TeacheresAndCourses.Models
{
    public partial class Teacher
    {
        public string FIO
        {
            get
            {
                return Lastname + " " + Firstname + " " + Patronymic; 
            }
        }

        public string Experience
        {
            get
            {
                string res="";
                if (ExperienceInMonth >= 12)
                {
                    int n = ExperienceInMonth / 12;
                    if (n < 4) res = Convert.ToString(n) + " года";
                    else res = Convert.ToString(n) + " лет";
                    if (ExperienceInMonth%12!=0)
                    {
                        int k = ExperienceInMonth%12;
                        res += " " + Convert.ToString(k) + "месяцев";
                    }
                }
                else if (ExperienceInMonth < 12) res = "меньше года";
                return res;
            }
        }

        public string HourseCount
        {
            get
            {
                int n = 0;
                string s = "";
                List<TeachersAndCourse> list = MainWindowViewModel.connection.TeachersAndCourses.ToList();
                foreach (TeachersAndCourse note in list)
                {
                    if (Teacherid == note.Teacherid)
                    {
                        if (note.Course.Title!=null)
                        {
                            string[] arrTitle = note.Course.Title.Split(' ');
                            n += Convert.ToInt32(arrTitle[arrTitle.Length - 2]);
                            s = "Курсы в общем объёме " + Convert.ToString(n) + " часов:";
                        }        
                    }
                }
                return s;
            }
        }
    }
}
