﻿using System;
using System.Collections.Generic;

namespace TeacheresAndCourses.Models;

public partial class Teacher
{
    public int Teacherid { get; set; }

    public string Lastname { get; set; } = null!;

    public string Firstname { get; set; } = null!;

    public string Patronymic { get; set; } = null!;

    public int Gender { get; set; }

    public DateTime Birthday { get; set; }

    public int ExperienceInMonth { get; set; }

    public string Email { get; set; } = null!;

    public string? PhoneNumber { get; set; }

    public virtual Gender GenderNavigation { get; set; } = null!;

    public virtual ICollection<TeachersAndCourse> TeachersAndCourses { get; set; } = new List<TeachersAndCourse>();

    public virtual ICollection<TeachersAndSubject> TeachersAndSubjects { get; set; } = new List<TeachersAndSubject>();
}
